import java.io.*;

/**
 * Klasse zur Speicherung eines einzelnen Objektes
 *
 * @author Bernhard Fiser 0109815
 */
public class Artikel implements Serializable
{
	private Integer	id;
	private String	desc;
	private int	preis;
	private int	menge;
	private String	url;

	/**
	 * Constructor
	 * Legt ein neues Objekt an und initialisiert die internen
	 * privaten Variablen
	 */
	public Artikel(int id, String desc, int preis, int menge, String url)
	{
		this.id = new Integer(id);
		this.desc = desc;
		this.preis = preis;
		this.menge = menge;
		this.url = url;
	}

	/** liefert die Artikelnummer zurck
	  * @return int id : Artikelnummer */
	public Integer getID()
	{
		return(this.id);
	}

	/** liefert die Beschreibung des Artikels zurck
	 * @return String desc : Beschreibung */
	public String getDescription()
	{
		return(this.desc);
	}

	/** liefert den Preis als int-Wert int Eurocent zurck.
	  * @return int preis : Preis in Eurocent */
	public int getPreis()
	{
		return(this.preis);
	}

	/** leifert die Menge zurck
	  * @return menge : Lagermenge */
	public int getMenge()
	{
		return(this.menge);
	}

	/** liefert die URL zu weiteren Information des Objektes zurck
	  * @return String url : URL */
	public String getURL()
	{
		return(this.url);
	}
}

